Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml
Interface WMLInputElement

All Known Implementing Classes:
  WMLInputElementImpl

public interface WMLInputElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'input' element specifies a text entry object. (Section 11.6.3, WAP WML Version 16-Jun-1999)

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLInputElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`boolean` | `getEmptyOk()`
`java.lang.String` | `getFormat()`
`int` | `getMaxLength()`
`java.lang.String` | `getName()`
`int` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setEmptyOk(boolean newValue)` 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` | `setFormat(java.lang.String newValue)` 'format' specifies the input mask for user input.
`void` | `setMaxLength(int newValue)` 'maxlength' specifies the maximum number of characters to be enter.
`void` | `setName(java.lang.String newValue)` 'name' specifies the name of a variable after the user enters the text.
`void` | `setSize(int newValue)` 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setType(java.lang.String newValue)` 'type' specifies the type of text input area.
`void` | `setValue(java.lang.String newValue)` 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, normalize, removeChild, replaceChild, setNodeValue, setPrefix, supports`

Method Detail

### setName

    public void setName(java.lang.String newValue)

  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getName

    public java.lang.String getName()

### setValue

    public void setValue(java.lang.String newValue)

  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getValue

    public java.lang.String getValue()

### setType

    public void setType(java.lang.String newValue)

  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getType

    public java.lang.String getType()

### setFormat

    public void setFormat(java.lang.String newValue)

  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getFormat

    public java.lang.String getFormat()

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getEmptyOk

    public boolean getEmptyOk()

### setSize

    public void setSize(int newValue)

  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getSize

    public int getSize()

### setMaxLength

    public void setMaxLength(int newValue)

  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getMaxLength

    public int getMaxLength()

### setTitle

    public void setTitle(java.lang.String newValue)

  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

### getTitle

    public java.lang.String getTitle()

### setTabIndex

    public void setTabIndex(int newValue)

  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

### getTabIndex

    public int getTabIndex()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD